package com.qhclh.ytzh.bean;

import com.google.gson.annotations.SerializedName;

/**
 * Created by 青花瓷 on 2017/9/5.
 */

public class DownLoadBean {

    /**
     * name : MarketPlaceMerchantApp
     * version : 0.1
     * filename : release.apk
     * versions : {"0.1":"http://bwp.oss-cn-beijing.aliyuncs.com/publish/MarketPlaceMerchantApp/0.1/release.apk"}
     * download : http://bwp.oss-cn-beijing.aliyuncs.com/publish/MarketPlaceMerchantApp/release.apk
     * qrcode : http://bwp.oss-cn-beijing.aliyuncs.com/publish/MarketPlaceMerchantApp/qrcode.png
     */

    private String name;
    private String version;
    private String filename;
    private VersionsBean versions;
    private String download;
    private String qrcode;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public VersionsBean getVersions() {
        return versions;
    }

    public void setVersions(VersionsBean versions) {
        this.versions = versions;
    }

    public String getDownload() {
        return download;
    }

    public void setDownload(String download) {
        this.download = download;
    }

    public String getQrcode() {
        return qrcode;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }

    public static class VersionsBean {
        @SerializedName("0.1")
        private String _$_01260; // FIXME check this code

        public String get_$_01260() {
            return _$_01260;
        }

        public void set_$_01260(String _$_01260) {
            this._$_01260 = _$_01260;
        }
    }
}
